#!/bin/bash -e
if [ "$ACTION" = installhdrs ]; then exit 0; fi
-if [ "$PLATFORM_NAME" = iphoneos ]; then exit 0; fi
-if [ "$PLATFORM_NAME" = iphonesimulator ]; then exit 0; fi
+if [ "${PLATFORM_NAME}" != "macosx" ]; then exit 0; fi
+if [ "${SKIP_MANPAGES}" = "YES" ]; then exit 0; fi
UNIFDEF_FLAGS=`${SRCROOT}/xcodescripts/generate_features.pl --unifdef`
MANPAGES_LIST="${SRCROOT}/man/manpages.lst"
${FILES}
EOF
)
+
+ # This is a subshell, the real exit is after the loop.
+ if [ -z "${SOURCE}" ]; then
+ echo "Error: ${first} not found"
+ exit 1
+ fi
+
SECTION=$(echo ${first} | tail -c 2)
DESTDIR=${DSTROOT}/usr/share/man/man${SECTION}
done
done
+if [ $? -ne 0 ]; then
+ echo "Exiting due to previous error(s)."
+ exit 1
+fi
+
# grrr, uuid special case
for page in libuuid.3 uuid_clear.3 uuid_compare.3 uuid_copy.3 uuid_generate.3 uuid_is_null.3 uuid_parse.3 uuid_unparse.3; do
SECTION=$(echo ${page} | tail -c 2)